// Purpose: Exercise 8-bit Timer0 counter in Normal Mode with Overflow Enabled
// See: ATmega328P Datasheet, Section 14.
// Consult AVR Timer Calculator:
// https://www.easycalculation.com/engineering/electrical/avr-timer-calculator.php

// prescale constants
uint8_t clkDiv1 = 1 << CS10;
uint8_t clkDiv8 = 1 << CS11;
uint8_t clkDiv64 = 1 << CS11 | 1 << CS10;
uint8_t clkDiv256 = 1 << CS12;
uint8_t clkDiv1024 = 1 << CS12 | 1 << CS10;

// Implement a Timer 0 Overflow Interrupt Service Routine


int main() {
  // Set pin 13 as output

  // (Optional) Prepare the Serial Monitor

  // Suspend Global Interrupt ability (temporarily)...

  // Set for Normal Mode of operation

  // Set up timer with prescaler

  // initialize counter

  // Enable time interrupt ability...

  // Restore Global Interrupt ability...

  // stand down...
}
